Skip to content
View in Postman (opens in new tab)

Delete multiple catalog items

delete

/catalogs/{catalog_name}/items

Use this endpoint to delete multiple items in your catalog.

Each request can support up to 50 items. This endpoint is asynchronous.

Troubleshooting

The following table lists possible returned errors and their associated troubleshooting steps.

Error Troubleshooting
catalog-not-found Check that the catalog name is valid.
ids-too-large Item IDs can’t be more than 250 characters.
ids-not-unique Check that the item IDs are unique in the request.
ids-not-strings Item IDs must be of type string.
items-missing-ids Some items don’t have item IDs. Check that each item has an item ID.
invalid-ids Item IDs can only include letters, numbers, hyphens, and underscores.
request-includes-too-many-items Your request has too many items. The item limit per request is 50.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!